#include "hh10d.h"

void hh10d_init(void)
{
	//i2c_init();												// IC initialisieren
	i2c_start( 0xA2 );										// IC bertragung starten mit 0xA2
	i2c_write( 0xA );										// Adresse die als erstes Ausgelesen werden soll
	i2c_start( 0xA3 );										// Daten anfordern
	sens = i2c_readAck();									// 0x0A MSB von sens-Parameter
	senslsb = i2c_readAck();								// 0x0B LSB von sens-Parameter
	offset = i2c_readAck();									// 0x0C MSB von offset-Parameter
	offlsb = i2c_readNak();									// 0x0D LSB von offset-Parameter, es werden keine weiter Daten mehr angefordert
	i2c_stop();												// IC bertragung beenden
	sens = (sens)<<8 | senslsb;								// MSB und LSB zusammensetzen
	offset = (offset)<<8 | offlsb;							// MSB und LSB zusammensetzen
}

float hh10d_get_freq(void)									
{
	freq = 0.5+((256UL*ztmp + count));						// Frequenz berechnen						
	return freq;									// Frequenz zurckgeben
}

float hh10d_get_humi(void)									
{
	cli();													// Interrupts deaktivieren
	rh = ( (float)offset - hh10d_get_freq() ) * (float)sens / 4096.0  ;	// Mit Frequenz und Parameter die Luftfeuchtigkeit berechnenn									


	return rh;
	
	/*
	float SenX1 = 23.0;
	float RefY1 = 33.0;
	float SenX2 = 59.2;
	float RefY2 = 67.2;
	float m = (RefY2 - RefY1) / (SenX2 - SenX1);
	return  (m * (rh-SenX1)+RefY1);
	*/

	sei();													// Interrupts aktivieren
}
